libgimpprint API Reference: dither_matrix_impl struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# dither_matrix_impl Struct Reference

`#include <dither.h>`

## Data Fields
int | base
int | exp
int | x_size
int | y_size
int | total_size
int | last_x
int | last_x_mod
int | last_y
int | last_y_mod
int | index
int | i_own
int | x_offset
int | y_offset
unsigned | fast_mask
unsigned * | matrix

## Field Documentation

int dither_matrix_impl::base

| Definition at line 82 of file dither.h. Referenced by stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_destroy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), and stp_dither_matrix_iterated_init().

int dither_matrix_impl::exp

| Definition at line 83 of file dither.h. Referenced by stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_destroy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), and stp_dither_matrix_iterated_init().

unsigned dither_matrix_impl::fast_mask

| Definition at line 95 of file dither.h. Referenced by ditherpoint(), stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), and stp_dither_matrix_iterated_init().

int dither_matrix_impl::i_own

| Definition at line 92 of file dither.h. Referenced by stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_destroy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), and stp_dither_matrix_iterated_init().

int dither_matrix_impl::index

| Definition at line 91 of file dither.h. Referenced by ditherpoint(), stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), stp_dither_matrix_iterated_init(), and stp_dither_matrix_set_row().

int dither_matrix_impl::last_x

| Definition at line 87 of file dither.h. Referenced by ditherpoint(), stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), and stp_dither_matrix_iterated_init().

int dither_matrix_impl::last_x_mod

| Definition at line 88 of file dither.h. Referenced by ditherpoint(), stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), stp_dither_matrix_iterated_init(), and stp_dither_matrix_set_row().

int dither_matrix_impl::last_y

| Definition at line 89 of file dither.h. Referenced by stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), stp_dither_matrix_iterated_init(), and stp_dither_matrix_set_row().

int dither_matrix_impl::last_y_mod

| Definition at line 90 of file dither.h. Referenced by ditherpoint(), stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), stp_dither_matrix_iterated_init(), and stp_dither_matrix_set_row().

unsigned* dither_matrix_impl::matrix

| Definition at line 96 of file dither.h. Referenced by ditherpoint(), stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_destroy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), stp_dither_matrix_iterated_init(), stp_dither_matrix_scale_exponentially(), and stp_dither_matrix_shear().

int dither_matrix_impl::total_size

| Definition at line 86 of file dither.h. Referenced by stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_destroy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), and stp_dither_matrix_iterated_init().

int dither_matrix_impl::x_offset

| Definition at line 93 of file dither.h. Referenced by ditherpoint(), stp_dither_matrix_clone(), and stp_dither_matrix_copy().

int dither_matrix_impl::x_size

| Definition at line 84 of file dither.h. Referenced by ditherpoint(), postinit_matrix(), stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_destroy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), stp_dither_matrix_iterated_init(), stp_dither_matrix_scale_exponentially(), stp_dither_matrix_set_row(), stp_dither_matrix_shear(), stp_dither_set_transition(), and stpi_dither_finalize().

int dither_matrix_impl::y_offset

| Definition at line 94 of file dither.h. Referenced by stp_dither_matrix_clone(), stp_dither_matrix_copy(), and stp_dither_matrix_set_row().

int dither_matrix_impl::y_size

| Definition at line 85 of file dither.h. Referenced by postinit_matrix(), stp_dither_matrix_clone(), stp_dither_matrix_copy(), stp_dither_matrix_destroy(), stp_dither_matrix_init(), stp_dither_matrix_init_from_dither_array(), stp_dither_matrix_init_short(), stp_dither_matrix_iterated_init(), stp_dither_matrix_scale_exponentially(), stp_dither_matrix_set_row(), stp_dither_matrix_shear(), stp_dither_set_transition(), and stpi_dither_finalize().

The documentation for this struct was generated from the following file:

- include/gimp-print/dither.h